Skip to main content
POST
/
b2b
/
verifications
/
{user}
Submit Verification
curl --request POST \
  --url https://nexus.kraken.com/b2b/verifications/{user} \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form type=identity_document \
  --form 'metadata={
  "identity": {
    "full_name": {
      "first_name": "<string>",
      "last_name": "<string>",
      "middle_name": "<string>"
    },
    "date_of_birth": "2023-03-13"
  },
  "document_type": "passport",
  "document_number": "<string>",
  "issuing_country": "AD",
  "verifier": "<string>",
  "verified_at": "2023-03-13T12:34:56Z",
  "nationality": "AD",
  "verifier_response": "<unknown>",
  "external_verification_id": "<string>",
  "expiration_date": "2023-03-13"
}' \
  --form 'front=<string>' \
  --form 'back=<string>' \
  --form 'verifier_response=<string>' \
  --form 0.front='@example-file' \
  --form 0.back='@example-file' \
  --form 0.verifier_response='@example-file' \
  --form 1.document='@example-file' \
  --form 1.verifier_response='@example-file' \
  --form 2.selfie='@example-file' \
  --form 2.verifier_response='@example-file'
{
  "result": {
    "verification_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

user
string
required

Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42

Body

multipart/form-data
type
enum<string>
required
Available options:
identity_document
metadata
object
required

Metadata about the verification.

front
file
required

File containing front side of the identity document

back
file

File containing back side of the identity document

verifier_response
file

File containing document verification vendor response (if applicable)

Response

Response

result
object